Skip to Content

Bulk update contact status

Sets the status on multiple contacts in one request, returning counts of updated and failed records. One request carries at most 1000 ids.

POST
/v1/contacts/bulk-update-status

Sets the status on multiple contacts in one request, returning counts of updated and failed records. One request carries at most 1000 ids.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
ids*array<>
Items1 <= items <= 1000
status*string
Value in"active""paused""blocked""archived"

Response Body

BulkUpdateResult

application/json
  1. response
updated*integer
Range0 <= value <= 9007199254740991
failed*integer
Range0 <= value <= 9007199254740991
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.contacts.bulkUpdateStatus({
  "ids": [
    "example"
  ],
  "status": "active"
});
Example Response
{
  "updated": 0,
  "failed": 0
}

Related documentation